package controller

import "go-humas-be/app/module/ppid_data_categories/service"

type Controller struct {
	PpidDataCategories PpidDataCategoriesController
}

func NewController(PpidDataCategoriesService service.PpidDataCategoriesService) *Controller {
	return &Controller{
		PpidDataCategories: NewPpidDataCategoriesController(PpidDataCategoriesService),
	}
}